<div class="rc-panel pink nopadding" data-title="Printer">
  <div class='rc-item' data-icon-class="icon icon-3dprinter {{printer.statusClass}}" data-title="{{printer.customName}}" ng-click="showPrinterInfo()"></div>
</div>

<div class="rc-panel pink nopadding" data-title="Status">
  <a ng-click="stopPrint()" class="button right" id="btnAbortPrint" ng-hide="printer.idle || printer.stopping">Abort Print</a>
  <div class='rc-item no-icon' data-title="Your printer is currently idle. Why not start a new print?" ng-click="go('/')" ng-show="printer.idle"></div> 
  <div class='rc-item no-icon' data-title="Slicing '{{printer.filename}}'... {{formatPercentage(printer.slicer.progress.percentage)}}%" ng-show="printer.slicing"></div>
  <div class='rc-item no-icon' data-title="Heating nozzle: {{printer.printer.temperatures.nozzle.current}} / {{printer.printer.temperatures.nozzle.target}}&deg;C" ng-show="printer.heating"></div>
  <div class='rc-item no-icon' data-title="Heating bed: {{printer.printer.temperatures.bed.current}} / {{printer.printer.temperatures.bed.target}}&deg;C" ng-show="printer.heatingBed"></div>
  <div class='rc-item no-icon' data-title="Printing '{{printer.filename}}'... {{formatPercentage(printer.printer.progress.percentage)}}%" ng-show="printer.printing"></div>
  <div class='rc-item no-icon' data-title="Aborting print..." ng-show="printer.stopping"></div>

  <!-- <div>
    <br>
    <a ng-click="stopPrint()" class="button right" style="margin-right:10px">Abort</a>
  </div> -->
</div>

<div class="row">
  <div class="printer-webcam medium-12 large-12 columns nopadding" ng-hide="imageReady">
    <div class="nowebcam">
      <div ng-show="printer.online"><span class="icon icon-webcam"></span><p>Waiting for webcam...</p></div>
      <div ng-show="!printer.online"><span class="icon icon-webcam"></span><p>Webcam offline...</p></div>
    </div>
  </div>

  <!-- <div class="printer-webcam medium-12 large-12 columns nopadding" ng-show="imageReady">  -->
  <!-- ng-show="printer.online" -->
  <!-- <div class="overlay"> -->
  <!-- <div><span class="icon icon-full-screen"></span></div> -->
  <!-- </div> -->
  <img id="webcam" width="100%" ng-src="{{imageSrc}}" rc-image-load-error="onStreamLoadError()" rc-image-loaded="onWebcamLoaded()"/>
  <!-- </div> -->

</div>

 <!-- <div class="printer-webcam medium-12 large-12 columns nopadding"> 
    <a class="button pink" ng-click="stopPrint()">Abort print</a>
  </div> -->


<!-- 
<div class="row">
    <div class="panel medium-12 large-12 columns nopadding nomargin-bottom">
        <ul class="list-menu">
            <li class='rcPrinter' ng-click="showPrinterInfo()"></li>
        </ul>
    </div>
    
    <img id="webcam" width="100%" src="{{imageSrc}}"/>

    <div class="printer-file-name medium-12 large-12 columns nopadding" ng-show="printer.online && printer.printerState!='idle'">
        <div class="download-progress" style="width:{{printer.currentPercent}}%;"></div>
        <div class="ontop">
        <p class="nomargin-bottom">
        {{printer.currentStateDescription}} {{printer.currentProgress}}
        </p></div>
    </div>
    

    <div class="printer-webcam medium-12 large-12 columns nopadding" ng-show="printer.online">
        <div class="overlay">
            <div><span class="icon icon-full-screen"></span></div>
        </div>
        <img id="webcam" width="100%" src="{{imageSrc}}"/>
        
    </div>

    <div class="printer-webcam medium-12 large-12 columns nopadding" ng-show="!printer.online">
        <div class="nowebcam">
            <div><span class="icon icon-webcam"></span><p>Webcam offline...</p></div>
        </div>
    </div>

</div>

<div class="floating-action-button-container actionbutton-playpauze" ng-show="printer.printing">
    <a ng-click="stopPrint()">
        <div class="floating-action-button">
            <span class="icon icon icon-stop"></span>
        </div>
    </a>
</div>
 -->